Subject: Re: Jan Jaap's Mingw32
From: "Alain.Culos -- "@bigfoot.com (Alain CULOS)

25 Mar 1998 01:20:00 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: [email-masked]

Hi Earnie,

Great stuff all that, I read your private mail first and did not have this mailing list item at the time I answered, so disregard my private reply - I answered on the fly while other mails were being downloaded.

To answer one of your questions : yes I would like to know, if it is not too much asking how you set up your GCC variables.

I'll look up the differences between the headers, thanks for the tip, I'm not proficient at C yet and I did not understood that by reading the error message.

I also commented each of your replies below,
thanks again,
regards,
Al.

Earnie Boyd wrote:

> I don't remember what I taught you, but I'm glad I could help.

A couple of simple things that I had not read in the docs but are very useful for compiling windows applications.

> Wow, 64MB ram.  Back in the 1960's one byte of ram was equal to one US
> dollar.  Now if you could go back in time, wouldn't you be rich!?

Wait another 20 years and you'll have that for a few pence (or cents in your place).

> > 1/ Am I understanding as I should : in Cygwin32, the use of
> > Cygwin32.dll makes my own software subject to the GPL.
> And possibly any restrictions Cygnus has added to it.

OK, but can we use cygnus headers without copyright issues and licence issues within Mingw32 ?

> > 2/ With Mingw32 my software is mine and I can sell it if I wish.
> The reason that JanJaap compiled the Minimalist Version.

Very nice of him.

> > 3/ Is ... Mingw32 ... contrary to using Unix tools like Bash ?
> Ah-ha.

OK, OK, I'll patiently be waiting for your port to be publicly available.

> > 4/ A compiled that worked just perfectly well with Cygwin32 b18
> > breaks at the first stage using Mingw32 Gcc-2.8.1 :
>
> This could be differences between the header files.  Since I don't
> have a RCS as yet, I've created a mingw32-sup/include directory.  I
> then add this path to the from of the C_INCLUDE_PATH variable and if I
> need to modify or add a header I do it in this directory.  In this way
> I preserve the production environment and have a working maintenance
> environment.
>
> > In a command.com box, with appropriate PATH and environment as
> explained in JJ's installation page, make says :
> > C:\PROGRAM\V\SRCWIN>make
>
> Are you using JanJaap's version of make?  I've not had any luck with
> it.  Here's what I do using b19 cygwin32:

Yes I am. but I did not suspect it to be the cause of my problems.Should I rename it so ? And use cygwin's ?

>  If you need to know how I setup the GCC variables let me know.

Yes please (as stated earlier in this message).

> Hope I've helped, again. ;-)

u sure did indeed :-))

> PS: I'm trying to determine if hotmail is delivering my mail in a
> timely fashion.  I sent you mail from hotmail yesterday, did you
> receive it?  I don't particularly like "Yahoo! Mail" but if it's
> faster I may have to switch.

You sent your private mail at something and 40 seconds through HTTP/hotmail, it was received by bigfoot at something (the same something all the way through) and 41 seconds this was later received at something and 47 seconds by my service provider (the atlantic link is slow) and it subsequently waited sitting there 30 something hours in my mail box, a fraction of a second away from me.To answer your query, I certainly would call that timely.
I see from the time zone, you are in the Pacific area or else I misinterpret PST ! Are you any close to the sea, and are you any close to a sunny and warm place ? I know Pacific can mean Seattle and that can be cold enough.
By the way, the ST in PST is meant to mean Summer Time ! Are you any close to summer ? Or do you just not bother with setting your PC back and forth ?

> DO YOU YAHOO!?

No I don't, but I have a rockectmail address and this has been bought over by Yahoo.

--
ANTI SPAM / ANTI ARROSAGE COMMERCIAL :
Pour me répondre, veuillez enlever les deux moins et les deux espaces de mon adresse.
To answer me, please take out both minus signs and both spaces from my address.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".